{
  num: -3560027,
  accuracy: 90,
  basePower: 70,
  category: "Special",
  name: "Rest In Peace",
  pp: 10,
  priority: 0,
  flags: { protect: 1 },

  basePowerCallback(pokemon, target, move) {
    let basePower = 70;
    if (pokemon?.blackbutterflyLayers > 0) {
      const layers = pokemon.blackbutterflyLayers;
      basePower += 10 * layers;
      
      
      this.add('-start', pokemon, 'restinpeace', layers);
    }
    return basePower;
  },

  onHit(target, source, move) {
    if (source?.blackbutterflyLayers > 0) {
      source.blackbutterflyLayers = 0;
      
    }
  },

  target: "normal",
  type: "Ghost",
  contestType: "Cool"
}